summaryrefslogtreecommitdiff
path: root/package/openntpd/files
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/openntpd/files
Initial import
Diffstat (limited to 'package/openntpd/files')
-rw-r--r--package/openntpd/files/ntpd.conf8
-rw-r--r--package/openntpd/files/ntpd.init27
2 files changed, 35 insertions, 0 deletions
diff --git a/package/openntpd/files/ntpd.conf b/package/openntpd/files/ntpd.conf
new file mode 100644
index 000000000..d20963472
--- /dev/null
+++ b/package/openntpd/files/ntpd.conf
@@ -0,0 +1,8 @@
+# Addresses to listen on
+listen on 0.0.0.0
+# enable this for IPv6 support
+#listen on ::
+
+# use a random selection of 8 public stratum 2 servers
+# see http://twiki.ntp.org/bin/view/Servers/NTPPoolServers
+servers pool.ntp.org
diff --git a/package/openntpd/files/ntpd.init b/package/openntpd/files/ntpd.init
new file mode 100644
index 000000000..2eab0668c
--- /dev/null
+++ b/package/openntpd/files/ntpd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#FWINIT 55
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ [[ $ntpd_flags = NO ]] && exit 0
+ exec sh $0 start
+ ;;
+start)
+ mkdir -p /tmp/.ntp
+ /usr/sbin/ntpd $ntpd_flags
+ ;;
+stop)
+ kill $(pidof ntpd|cut -d ' ' -f 3)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?